For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update category

Updates a category.

put

Updates category properties. Only provided fields will be modified.

Path parameters
idstringRequired

The category ID.

Body
namestringOptional
descriptionstringOptional
optOutAllowedbooleanOptional
notestringOptional
deleteAllowedbooleanOptional
enabledByDefaultbooleanOptional
Responses
201

Created

application/json

Represents a notification category that can be used to organize and filter notifications.

idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

optOutAllowedbooleanOptional

Gets or sets a value indicating whether recipients can opt out of notifications in this category.

statusstringOptional

Gets or sets the current status of the category.

notestring · nullableOptional

Gets or sets an optional note about the category.

deleteAllowedbooleanOptional

Gets or sets a value indicating whether this category can be deleted.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

enabledByDefaultbooleanOptional

Gets or sets a value indicating whether this category is enabled by default for new recipients.

put/public/v1/notifications/categories/{id}

Last updated

Was this helpful?